[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.Last

Last non-nil instance in the list.

## Declaration

Source position: contnrs.pp line 109

`public function TComponentList.Last: TComponent;`

## Function result

The last non-nil instance in the list, or Nil

## Description

Last overrides the implementation of it's ancestors to return the last non-nil instance of TComponent in the list. If no non-nil instance is found, Nil is returned.

## Errors

None.

## See also

TComponentList.First |  | First non-nil instance in the list.
TObjectList.Last |  | Return the last non-nil object in the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .